%define upstream_name    Digest-MD4
%define upstream_version 1.5

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 6

Summary:	Perl interface to the MD4 Algorithm
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	http://www.cpan.org/modules/by-module/Digest/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:  libdb5.3-devel
BuildRequires:  libgdbm-devel
BuildRequires:	perl-devel


%description
The Digest-MD4 module allows you to use the MD4 Message Digest algorithm from
within Perl programs. The algorithm takes as input a message of arbitrary
length and produces as output a 128-bit "fingerprint" or "message digest" of
the input.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README rfc1320.txt
%{perl_vendorarch}/Digest
%{perl_vendorarch}/auto/Digest
%{_mandir}/*/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.500.0-6.mga3
+ Revision: 365924
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 04 2012 jquelin <jquelin> 1.500.0-5.mga3
+ Revision: 326453
- adding missing buildrequires:
- missing buildrequires

* Wed May 30 2012 jquelin <jquelin> 1.500.0-4.mga3
+ Revision: 250569
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 1.500.0-3.mga2
+ Revision: 104215
- perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 1.500.0-2.mga1
+ Revision: 30164
- mageia rebuild
- imported package perl-Digest-MD4

